Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.invocation
Class NameBasedInvocation

    java.lang.Object
      org.jboss.remoting.invocation.RemoteInvocation
          org.jboss.remoting.invocation.NameBasedInvocation

All Implemented Interfaces:
  java.io.Serializable

    public class NameBasedInvocation

extends RemoteInvocation

NameBasedInvocation.java is an invocation object in jmx style.

Created: Mon Apr 28 09:14:46 2003

Version:
  1.0
Author:
  David Jencks
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.remoting.invocation.RemoteInvocation
`methodName, params`

Constructor Summary
`NameBasedInvocation(java.lang.reflect.Method method, java.lang.Object[] params)`
`NameBasedInvocation(java.lang.String methodName, java.lang.Object[] params, java.lang.String[] sig)`

Method Summary
`java.lang.String[]` | `getSignature()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.remoting.invocation.RemoteInvocation
`getMethodName, getParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameBasedInvocation

    public NameBasedInvocation(java.lang.reflect.Method method,
                               java.lang.Object[] params)

### NameBasedInvocation

    public NameBasedInvocation(java.lang.String methodName,
                               java.lang.Object[] params,
                               java.lang.String[] sig)

Method Detail

### getSignature

    public java.lang.String[] getSignature()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.